import { OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CodeSnippetComponent implements OnDestroy {
    /** Code snippet to display */
    code: string;
    /** Show line numbers */
    lineNumbers: boolean;
    /** Manually set language of the code */
    set setLanguage(language: string);
    /** Manually set language of the code */
    language: string;
    /** Indicates whether to use auto highlighting */
    auto: boolean;
    /** Whether copy button has been pressed */
    copied: boolean;
    /** Handles memory leaks for copied text scheduler */
    private copyTextSub;
    /** Length of time in which copied text appears (ms) */
    private readonly copiedTextLength;
    constructor();
    /**
     * On destroy lifecycle hook
     */
    ngOnDestroy(): void;
    /**
     * Copies code to the clipboard
     */
    copyToClipboard(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CodeSnippetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CodeSnippetComponent, "code-snippet", never, { "code": { "alias": "code"; "required": false; }; "lineNumbers": { "alias": "lineNumbers"; "required": false; }; "setLanguage": { "alias": "language"; "required": false; }; }, {}, never, never, false, never>;
}
